function 回城()

	--卖物
	local bsold=是否需要卖()
	if bsold then
        移动到地图2("DM011")
	移动到范围2("DM011",4,6,5)
	等待(1500)
	坐标对话(4,6)
	等待(1500)
	选择("@sell")
	等待(1500)

		卖()
	end

	--买药
	local hpnum=获取物品数量(g_hpname)
	if hpnum<g_hpnum then
	移动到范围2("DM011",4,6,5)
	等待(1500)
	坐标对话(4,6)
	等待(1500)
	选择("@buy")
	等待(1500)
        买("金创药(中量)",10,1500)
	end
	--买回城卷 随机传送卷
	local nHCNum=获取物品数量("地牢逃脱卷")
	local bBuyHC=(nHCNum<1)
	if bBuyHC or bBuySJ then
	移动到范围2("DM011",4,6,5)
	等待(1500)
	坐标对话(4,6)
	等待(1500)
	选择("@buy")
	等待(1500)
		if bBuyHC then
	买("地牢逃脱卷",1,10,1500)
		end

	end
	--修理武器
	local brepair=是否需要修理(50,1)
	if brepair then
	 移动到地图2("0103")
         移动到范围2("0103",19,18,5)
	等待(1500)
	坐标对话(19,18)
	等待(1500)
	选择("@s_repair")
	等待(1500)
        修理(1)
        移动到地图2("0")
		等待(1500)
	end
	--修理衣服
	local brepair=是否需要修理(50,0)
	if brepair then
	 移动到地图2("0106")
	移动到范围2("0106",19,6,5)
	等待(1500)
	坐标对话(19,6)
	等待(1500)
	选择("@s_repair")
	等待(1500)
        修理(0)
        移动到地图2("0")
		等待(1500)
	end
	--修理首饰
	local brepair=是否需要修理(50,3,5,6,7,8)
	if brepair then
	 移动到地图2("0105")
  	移动到范围2("0105",18,6,5)
	等待(1500)
	坐标对话(18,6)
	等待(1500)
	选择("@s_repair")
	等待(1500)
        修理(7)
        修理(8)
	移动到范围2("0105",12,12,5)
	等待(1500)
	坐标对话(12,12)
	等待(1500)
	选择("@s_repair")
	等待(1500)
 修理(5)
 修理(6)
等待(1500)
	移动到范围2("0105",6,18,5)
	等待(1500)
	坐标对话(6,18)
	等待(1500)
	选择("@s_repair")
	等待(1500)
 修理(3)
等待(1500)
移动到地图2("0")
等待(1500)
	end
	
	--出发
	移动到地图2("D011")
	等待(1500)
	return 挂机()
end

function 挂机()
	--边走边打，打过程中满足停止挂机条件就回城
	--洞穴一层
	if 边走边打2("D011",29,178,5)==false then
		使用物品("地牢逃脱卷")
		等待(2000)
		return 回城()
	end
	--洞穴二层
	if 边走边打2("D012",187,151,5)==false then
		使用物品("地牢逃脱卷")
		等待(2000)
		return 回城()
	end
	return 挂机()
end

do
	--开始
	local mapid=获取地图id()
	if string.sub(mapid,1,2)=="D011" then
		挂机()
	else
		回城()
	end
end
